Reg. IDS 4235 Sensor upgradation

Unanswered Question
Nov 13th, 2008
User Badges:

Hi marcabal


I need to upgrade the Cisco IDS 4235 4.1(5) S247 to the Cisco IPS 6.0 version .Pleasel et me know if i have to upgrade the BIOS Version and ROMMON Version for the same .Also let me know as to til what version of 6 i can upgrade the IDS Device to ?


Ankur

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 3.3 (3 ratings)
Loading.
rhermes Thu, 11/13/2008 - 08:41
User Badges:
  • Gold, 750 points or more

The 4235 sensor can only be upgraded to 6.0(x). The latest version is 6.0(5)E3.

Signature support for the 4235 expired on May 31st 2009. That means that any software update (such as an E4 version of 6.0(x)) will prevent you from upgrading your 4235 any futher.

Look up the BIOS requrements for 6.0 on Cisco's web site (they're the same as 5.x). We can't spoon feed you everything.

ankurs2008 Tue, 11/25/2008 - 23:54
User Badges:

hi rhermes


I have some queries reg Cisco 4235 S/W upgradn


1) If i want to see the BIOS Version , do i need to connect the sensor to a PC so that i can access via Hyperterminal and then reboot and see the BIOS Current version OR i can access sensor via SSH and then reboot and go to ROMMON Mode and see the BIOS Version ?


2) Following is written in Cisco Document for IDS 4235

"You cannot upgrade the BIOS from a console connection. You must connect a keyboard and monitor to the appliance so that you can see the output on the monitor."


Does the above mean that i cannot access the sensor via Hyperterminal and upgrade the BIOS? If this is true , please let me know as to how can i upgrade remotely as the sensor is not physcially near to me


Note : I will be sending the BIOS update diskette to the onsite person having physical access to the sensor . Also onsite person may not be a tech savvy person , hence this question


CSCO10320953 Wed, 11/26/2008 - 20:14
User Badges:

Hi,

You cant.First you need to purchase the Key for IOS upgration( 4.1(5) to 6.0 )


After purchasing the key ,Better u can go with 5.x and than 6.1


I think it will help u.

Pl rate this one.

ankurs2008 Wed, 11/26/2008 - 23:00
User Badges:

hi


I dont think thats true.There is no license required for the IOS Upgradation till version 6.0.Also the queries are not the appropriate answers as to what i am looking for.Thanks for help


Dear rhermes / marcabal


Please help



marcabal Mon, 12/01/2008 - 08:40
User Badges:
  • Cisco Employee,

If the IDS-4235 (or IDS-4250) is already running version 4.1, then it likely already has the latest A04 BIOS. The upgrade to the A04 BIOS was needed when going from 3.x versions to 4.x versions. No BIOS upgrade is needed to go from 4.x versions to 5.x or 6.x versions.


Upgrading from version 4.1 to version 5.x or 6.x on your IDS-4235 does Not require a license, BUT is Not free either. It DOES technically require a maintenance contract (or direct purchase of the upgrade) for your upgrade to be legal.


Technically users should only download and install the upgrade if they have either A) purchased the specific upgrade, or B) have the sensor covered under a Cisco Service for IPS maintenance contract.


The software won't prevent the installation. Cisco just relies on the honor of the customer to not install software that they have either not purchased or do not have a maintenance contract for.


If your sensor IS covered under a Cisco Service for IPS maintenance contract, then you are eligible to download the latest software, install it, and run it. And would also be eligible for a License (included as part of the Cisco Service for IPS contract) so you can upgrade to the latest Signature Update.


If your sensor is Not covered under a maintenance contract, then your sensor is technically not eligble for upgrade.

And you will probably be unable to purchase a new contract.


The IDS-4235 has been End Of Lifed:

http://www.cisco.com/en/US/prod/collateral/vpndevc/ps5729/ps5713/ps4077/ps4078/prod_end-of-life_notice0900aecd801d74d2.html

The last date to buy a new service contract was back in May 31, 2006.

And this coming May 31, 2009 is the last date for new signatures anyway.


If you have an IDS-4235 you are better off calling your Cisco representative and seeing if you can trade in your IDS-4235 to get a discount in purchasing one of the newer supported models.


attmidsteam Fri, 11/28/2008 - 07:15
User Badges:
  • Silver, 250 points or more

>>You cant.First you need to purchase the Key >>for IOS upgration( 4.1(5) to 6.0 )


>>After purchasing the key ,Better u can go >>with 5.x and than 6.1


>>I think it will help u.

>>Pl rate this one.


Sorry, this is all wrong. You do not need a license key to download or apply service packs, major/minor packs, or recovery images ONLY signature updates. Also, each new engine update will come with an updated base signature level so you can keep sort of up to date.


I would recommend the 6.0 or 6.1 recovery image (instead of a version by version upgrade 4.x-> 5.x-> 6.x). If your model has a CDROM drive, you can burn this image to a CDR and then the sensor can boot from it and update the system software automagically.

Actions

This Discussion